%define module_name	drm
%define module_version	2005.07.22
%define module_release	alt1

# cvs -d :pserver:anonymous@dri.freedesktop.org:/cvs/dri co drm
%define module_source	%module_name-%module_version.tar.bz2

#### MODULE SOURCES ####
Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
URL: http://dri.sourceforge.net/
BuildArch: noarch

BuildRequires: kernel-build-tools

Source0: %module_source
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Patch1: drm-2005.07.22-define_spinlock.patch

%description
%module_name modules sources for Linux kernel

%prep
%setup -c -q
cd %module_name-%module_version
%patch1 -p1
find . -name '*.orig' -print -delete
cd ..
%__mv %module_name-%module_version kernel-source-%module_name-%module_version

%install
%__mkdir_p %kernel_srcdir
%__tar -c  kernel-source-%module_name-%module_version | %__bzip2 -c > \
	%kernel_srcdir/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/*

%changelog
* Fri Jul 22 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.22-alt1
- Updated to 2005.07.22 CVS snapshot.
- Added patch to fix compilation with realtime-preempt kernel patch.

* Mon May 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.30-alt1
- Updated to 2005.05.30 CVS snapshot.

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Packaged sources from DRI CVS.
